export default {
    namespaced: true,
    state: {
        dialog_create_contract: false,
        form_kontrak: {
            nama_kontrak: '',
            tanggal_kontrak: moment(new Date()).format('YYYY-MM-DD'),
            supplierID_kontrak: '',
            tanggalAwal_kontrak: moment(new Date()).format('YYYY-MM-DD'),
            tanggalAkhir_kontrak: moment(new Date()).format('YYYY-MM-DD'),
            durasi_cicilan: 1,
            jumlah_cicilan: 1,
            tanggalBayar_cicilan: 1,
            besarNilai_cicilan: 0,
            type_downpayment: 'nominal',
            besarNilai_downpayment: 0,
            type_pajak: 'persen',
            besarNilai_pajak: 0
        }
    },
    mutations: {
        update_dialog_create_contract(state, val) {
            state.dialog_create_contract = val
        },
        update_form_kontrak(state, val) {
            state.form_kontrak = val
        }
    },
    actions: {}
}
